LibreOffice: SheetSortDescriptor Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | Public Attributes | List of all members
SheetSortDescriptor Service Referencepublished

a description of how a cell range is to be sorted. More...

`import"SheetSortDescriptor.idl";`

Inheritance diagram for SheetSortDescriptor:

## Included Services
service | com::sun::star::table::TableSortDescriptor
| provides common table sorting properties. More...
Included Services inherited from TableSortDescriptor
service | com::sun::star::util::SortDescriptor
| contains common sorting properties. More...

## Public Attributes
boolean | BindFormatsToContent
| specifies if cell formats are moved with the contents they belong to. More...
boolean | IsUserListEnabled
| specifies if a user defined sorting list is used. More...
long | UserListIndex
| specifies which user defined sorting list is used. More...
boolean | CopyOutputData
| specifies if the sorted data should be copied to another position in the document. More...
com::sun::star::table::CellAddress | OutputPosition
| specifies the position where sorted data are to be copied. More...
Public Attributes inherited from TableSortDescriptor
sequence< com::sun::star::util::SortField > | SortFields
| specifies the descriptions of the individual sort fields. More...
long | MaxFieldCount
| contains the maximum number of sort fields the descriptor can hold. More...
com::sun::star::table::TableOrientation | Orientation
| specifies the sorting orientation (sort rows or columns). More...
boolean | ContainsHeader
| specifies whether the first row or column (depending on com::sun::star::util::SortDescriptor::SortColumns) is a header which should not be sorted. More...
Public Attributes inherited from SortDescriptor
boolean | IsCaseSensitive
| specifies if the case of letters is important when comparing entries. More...
boolean | SortAscending
| specifies the sorting order. More...
boolean | SortColumns
| specifies if the columns are sorted. More...
com::sun::star::lang::Locale | CollatorLocale
| specifies the locale for the compare operator (collator). More...
string | CollatorAlgorithm
| specifies the algorithm for the compare operator (collator). More...

## Additional Inherited Members
Exported Interfaces inherited from SortDescriptor
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a description of how a cell range is to be sorted.

This service extends the com::sun::star::table::TableSortDescriptor service with spreadsheet specific properties.

## Exported Interfaces

service com::sun::star::table::TableSortDescriptor

provides common table sorting properties.

## Member Data Documentation

boolean BindFormatsToContent
| property

specifies if cell formats are moved with the contents they belong to.

boolean CopyOutputData
| property

specifies if the sorted data should be copied to another position in the document.

boolean IsUserListEnabled
| property

specifies if a user defined sorting list is used.

com::sun::star::table::CellAddress OutputPosition
| property

specifies the position where sorted data are to be copied.

This property is only used, if SheetSortDescriptor::CopyOutputData is `TRUE`.

long UserListIndex
| property

specifies which user defined sorting list is used.

This property is only used, if SheetSortDescriptor::IsUserListEnabled is `TRUE`.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/SheetSortDescriptor.idl